import os

from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import include, path

admin.site.site_header = "Tecvico Administration"
admin.site.site_title = "Tecvico Admin"
admin.site.index_title = "Welcome to Tecvico Administration"

urlpatterns = [
    path("admin/", admin.site.urls),
    path("accounts/", include("apps.accounts.urls", namespace="accounts")),
    path("accounts/", include("allauth.urls")),
    path("projects/", include("apps.projects.urls", namespace="projects")),
    path("products/", include("apps.products.urls", namespace="products")),
    path("", include("apps.pages.urls", namespace="pages")),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
